eoPerf2Worth(3)

NAME
eoPerf2Worth - Base class to transform raw fitnesses into fitness for selection.

SYNOPSIS

#include <eoPerf2Worth.h>

Inherits eoUF< const eoPop< EOT > &, void >, and eoValueParam< std::vector< WorthT > >.

Inherited by eoPerf2WorthCached< EOT, WorthT >.

  Public Member Functions
eoPerf2Worth (std::string _description='Worths')
default constructor
virtual void sort_pop (eoPop< EOT > &_pop)
Sort population according to worth, will keep the worths and fitness_cache in sync with the population.
virtual void resize (eoPop< EOT > &_pop, unsigned sz)
virtual void operator() (eoPop< EOT > &_pop)

Detailed Description

  template<class EOT, class WorthT = double> class eoPerf2Worth< EOT, WorthT >
Base class to transform raw fitnesses into fitness for selection. See also:
    eoSelectFromWorth

Definition at line 43 of file eoPerf2Worth.h.

Author

Generated automatically by Doxygen for EO from the source code.